org.apache.sling.nosql.generic.adapter

## Class AbstractNoSqlAdapter

- java.lang.Object
- - org.apache.sling.nosql.generic.adapter.AbstractNoSqlAdapter

All Implemented Interfaces:
  NoSqlAdapter

    public abstract class AbstractNoSqlAdapter
    extends Object
    implements NoSqlAdapter

Default implementation of `NoSqlAdapter`.

### Constructor Summary

Constructors
Constructor and Description
`AbstractNoSqlAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<NoSqlData>` `query(String query, String language)` Query for data.
`boolean` `validPath(String path)` True if the given path is valid and supported by the NoSQL database.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.nosql.generic.adapter.NoSqlAdapter

`checkConnection, createIndexDefinitions, deleteRecursive, get, getChildren, store`

### Constructor Detail

#### AbstractNoSqlAdapter

    public AbstractNoSqlAdapter()

### Method Detail

#### validPath

    public boolean validPath(String path)

Description copied from interface: `NoSqlAdapter`
True if the given path is valid and supported by the NoSQL database.

Specified by:
  `validPath` in interface `NoSqlAdapter`
Parameters:
  `path` - Path
Returns:
  true if valid, false if invalid

#### query

    public Iterator<NoSqlData> query(String query,
                                     String language)

Description copied from interface: `NoSqlAdapter`
Query for data.

Specified by:
  `query` in interface `NoSqlAdapter`
Parameters:
  `query` - Query
  `language` - Query language
Returns:
  Query result or null if query not supported